/*******************************************************************************
 * Copyright (c) 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *     
 * Port to the D programming language:
 *    Jacob Carlborg <doob@me.com>
 *******************************************************************************/
module dwt.internal.cocoa.NSRect;

import dwt.dwthelper.utils;
import dwt.internal.cocoa.NSPoint;
import dwt.internal.cocoa.NSSize;


public struct NSRect {
    /** @field accessor=origin.x */
    public alias origin.x x;
    /** @field accessor=origin.y */
    public alias origin.y y;
    /** @field accessor=size.width */
    public alias size.width width;
    /** @field accessor=size.height */
    public alias size.height height;
    
    NSPoint origin;
    NSSize size;
}
